Loading...
 

Wineskin Support Forum Help

Forums » Wineskin Support Forum » NET. Framework 3.0 -3.5 installation fails

NET. Framework 3.0 -3.5 installation fails

Somehow I cannot manage to install NET. Framework 3.0. I need to have that one installed before I can install 3.5.

A message that the installation has encountered a problem usually pops up. The Winetricks gives me this last few bars of text:
- - - - - - -

The .NET Runtime Optimization Service is running.
fixme:msvcr90:__clean_type_info_names_internal (0x64083a50) stub
fixme:msvcr90:__clean_type_info_names_internal (0x64222014) stub
fixme:msvcr90:__clean_type_info_names_internal (0x60345090) stub
fixme:msvcr90:__clean_type_info_names_internal (0x64208a74) stub
fixme:msvcr90:__clean_type_info_names_internal (0x60613064) stub
fixme:msvcr90:__clean_type_info_names_internal (0x7a38d5c8) stub
------------------
Note: command 'wine dotnetfx3.exe' returned status 67. Aborting.
------------------
fixme:msvcr90:__clean_type_info_names_internal (0x64083a50) stub

- - - - - - - -

I've tried to install vcrun (all of them) and still got no result. Also removing all the msvcr file still gave me the identical error.

Any help would be appreciated.


First... .NET 3.5 apps usually do not work very well., and even 3.0 is problematic. You can sometimes try some versions of Mono instead and they'll work, but most .NET 3.5+ things will not function currently with Wine.

I don't think with current Wine versions and the newer dotnet 30 installer that it will even install... so I'd try out Mono first before fighting with .NET


I noticed this issue as well recently. It seems that the 1.3.x engines have troubles installing dotnet 3, while the 1.2.x are able to do it. Best approach I found after a little fiddling is the following:

1. Create a wrapper using the latest 1.2.x available engine (1.2.3 at the time of writing this)
2. In the winetricks window, choose to update winetricks. This isn't strictly required, but it may help achieving better chance of succes in case a workaround is found by the winetricks developers.
3. Install dotnet30 through winetricks (I noticed better chance of success if this is done before installing anything else in the wrapper)
4. Optionally, install dotnet35 through winetricks
5. Switch the wrapper's engine to the preferred one (this can be done in the Wineskin configuration tool under Advanced -> Tools -> Change Engine Used.

In case step 4. fails, try it again after doing step 5.
In case step 3. fails, try recreating the wrapper.

This may be a temporary issue, as I remember the dotnet installation working well some time ago. I haven't traced down the causes, but it might be either a .NET faulty installer from Microsoft or a wine bug. It's possible that a wine or a winetricks update will fix this anytime soon.

The described procedure seems to work right now, as it did in the past few days I tried it (tested on two different computers).


Post new message

Attach file Maximum size: 10.00 Mb
Post new reply

Show posts: